// /***** Wiki *****/
$imagePath: "../../../img/";
$imagePathToIcons: "../../../img/icons/";

@import "tiki-mod-since_last_visit";

.trackerfilter_loader{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background:rgba(158, 158, 158, 0.2) url('#{$imagePath}trackerfilter_plugin.svg') no-repeat center center;
    background-size: 100px;
    z-index: 10000;
}

.wiki-authors {
    font-style: italic;
}

.split {
    clear: both;
}

#page-bar > span {
    float: left;
}

.wikiactions > .btn-group {
    display: inline-block;
}

// to appear in front of autotoc
.wikiactions .dropdown-menu.show {
    z-index: 1021;
}

// /* wikiplugin_convene */

.conveneHeaderRow td {
    text-align: center;
}

.conveneVotes td,
.conveneFooterRow td,
.conveneHeaderRow td {
    vertical-align: middle;
}

.convene-ok {
    //    color: @state-success-text; (This and other color-related rules are moved to _tiki-selectors.scss.)
    //    background-color: @state-success-bg;
    background-image: none;
    text-align: center;
}

.convene-no {
    //    color: @state-danger-text;
    //    background-color: @state-danger-bg;
    background-image: none !important;
    text-align: center;
}

.convene-unconfirmed {
    text-align: center;
}

.conveneFooter, .conveneHeader {
    text-align: center;
}

.footlink::before{
    content: "["
}
.footlink::after{
    content: "]"
}
.footlink{
    vertical-align: super;
    font-size: smaller
}
// /* wikiplugin_footnotearea */
.footnotearea {
    margin-top: 2em;
    font-size: 0.9em
}
.footnotearea .sameas {
    vertical-align: super;
    font-size: smaller
}

    .footnotearea > div > span > a:first-child::after{
    content: "."
}

// /* Versions plugin */
#tiki-center .versionav {
    padding: 0;
    border: 0;
    margin-bottom: -1px;
}

.versionav .button {
    margin-bottom: 0;
}

.versioncontent {
    margin-top: 10px;
}

#tiki-center .versioncontent {
    padding: 1em;
}

// /* wikiplugin tracker */
table.wikiplugin_tracker td {
    vertical-align: top;
    padding-bottom: 1.2em;
}

table.wikiplugin_trackerlist {
    position: relative;
}

// /* wikiplugin edit */
.wikiplugin_edit textarea {
    width: 99%;
    height: 150px;
}

.editplugin {
    vertical-align: bottom;
    margin-left: 0.3rem;
}

// /* mouseover plugin */
.plugin-mouseover {
    position: absolute;
    z-index: 500;
    display: none;
    padding: .4em;
    //    background: @popover-bg;
    //    border: 1px solid @popover-border-color;
}

// /* fancytable (sortable) plugin */
.fancysort .header {
    cursor: pointer;
}

// /* timesheet plugin */
#jtrack-holder {
    width: auto !important;
}

.jtrack-item {
    height: auto !important;
}

#col1 #jtrack-content,
#col1 #jtrack-form-create,
#col1 #jtrack-form-list,
#col1 #jtrack-form-update,
#col1 #jtrack-form-remove,
#col1 #jtrack-form-remove-all {
    height: 450px;
}

#timeSheetSaved,
#timesheetSpreadsheet {
    height: 500px !important;
}

#timeSheetTabs {
    height: 600px !important;
}

#right_modules #jtrack-bar,
#left_modules #jtrack-bar,
#right_modules .jtrack-item,
#left_modules .jtrack-item {
    font-size: 76%;
}

#right_modules .jtrack-form,
#left_modules .jtrack-form {
    height: 245px !important;
}

// /** Wiki tocs **/
.tocnav {
    margin-bottom: 4px;
    clear: both;
}

// /* wikiplugin_tracker */
.mandatory_note {
    font-style: italic;
    //    color: @state-danger-text;
    margin-top: 10px;
}

.popup-backlinks {
    display: none;
    width: 100px;
}

// /* wikiplugin_tracker */
.trackerCategoryName {
    white-space: nowrap;
}

// /* wikiplugin_bigbluebutton */
ol.bbb-recordings {
        overflow: auto;
        max-height: 40em;
}

.structuremenu .menuSection {
    margin-left: 6px;
    //    border-left: 1px dotted @gray;
}

.structuremenu .menuSection .option,
.structuremenu .menuSection .optionline {
    background: transparent url('#{$imagePath}h_trenner.gif') center left no-repeat;
    padding-left: 21px;
}

// Structure drilldown menu
.nav-breadcrumb .dropdown-menu ul.navbar-nav .nav-item { padding-left: 1rem !important; padding-right: 1rem !important; }

// Structures
.nav-breadcrumb {
    display: flex;
    justify-content: space-between;
}


.tiki_plugin {
    display: inline-block;
    //    background-color: transparent; // /* was #f8f8f8; */
    //    border: 1px solid @gray-light;
}

.tiki_plugin .plugin_icon {
    float: left;
    position: absolute;
    opacity: .7;
    z-index: 1;
}

// .unsavedChangesInEditor {
//     border: 1px solid;
//     border-color: @alert-warning-border;
// }

div.tiki_plugin {
    width: 100%;
}

// /* Auto TOC */
#autotoc {
    position: relative;
    padding:0;
}

.autotoc.affix {
    top: 10px;
}

.autotoc .nav > li {
    float: none;
}

.autotoc .nav > li > a {
    display: block;
    padding: 4px 20px;
    font-size: 13px;
    font-weight: 500;
}

.autotoc .nav > li > a:focus,
.autotoc .nav > li > a:hover {
    padding-left: 19px;
    border-left: 1px solid $btn-primary-border;
}

.autotoc > .nav > li > .nav > li {
    padding-bottom: 5px;
}

.autotoc .nav > .active:focus > a,
.autotoc .nav > .active:hover > a,
.autotoc .nav > .active > a {
    padding-left: 18px;
    font-weight: 700;
    border: none;
    border-left: 2px solid $btn-primary-border;
    background-color: transparent;
}

.autotoc .nav .nav {
    //display: none; TODO
    padding-bottom: 0;
    list-style: none;
}

.autotoc .nav .nav .nav {
    display: none;
}

.autotoc .nav .nav > li > a {
    padding-top: 1px;
    padding-bottom: 1px;
    padding-left: 30px;
    font-size: 12px;
    font-weight: 400
}

.autotoc .nav .nav .nav > li > a {
    padding-left: 40px;
}

.autotoc .nav .nav .nav .nav > li > a {
    padding-left: 50px;
}

.autotoc .nav .nav .nav .nav .nav > li > a {
    padding-left: 60px;
}

.autotoc .nav .nav > li > a:focus, .autotoc .nav .nav > li > a:hover {
    padding-left: 29px
}

.autotoc .nav .nav .nav > li > a:focus,
.autotoc .nav .nav .nav > li > a:hover {
    padding-left: 40px;
}

.autotoc .nav .nav > .active > ul {
    display: block;
}

.autotoc .nav .nav > .active:focus > a, .autotoc .nav .nav > .active:hover > a,
.autotoc .nav .nav > .active > a {
    padding-left: 28px;
    font-weight: 500
}

/* reset tabs styling */
.autotoc > ul > li.active > a,
.autotoc > ul > li.active > a:hover,
.autotoc > ul > li.active > a:focus {
    color: inherit;
    background-color: inherit;
//    border: inherit;
    border-bottom-color: transparent;
    cursor: default;
    border-radius: 0;
}

.autotoc .nav {
    margin: 0; padding: 0; overflow: hidden; flex-direction: row;
    > li {
        width: 100%;
        > a { white-space: initial; }
        > a.active + ul, &.open > ul { display: block !important; }
        .active, &.open > a {
            padding-left: 19px;
            background-color: $gray-100;
            color: var(--bs-link-hover-color);
            border-left: 1px solid $btn-primary-border;
        }
    }
    .nav > li {
        &.open > a, .active, a:hover { padding-left: 29px; }
    }
    .nav .nav > li {
        &.open > a, .active, a:hover { padding-left: 39px; }
    }
    .nav .nav .nav > li {
        &.open > a, .active, a:hover { padding-left: 49px; }
    }
}


.back-to-top {
    display: none;
    padding: 4px 10px;
    margin-top: 10px;
    margin-left: 10px;
    font-size: 12px;
    font-weight: 500;
}

.back-to-top:hover, .bs-docs-theme-toggle:hover {
    color: #563d7c;
    text-decoration: none
}

@media (max-width: breakpoint-max(sm)) {
    #autotoc, #page-data.page-data-autotoc { max-width: 100%; }
    .autotoc > .nav {
        position: static;
        max-width: calc(100vw - 30px);
    }
}

/* end autotoc */

.plugin-form-float {
    position: fixed;
    left: 5%;
    right: 365px;
    top: 5%;
    max-height: 90%;
    overflow: auto;
    z-index: 1000;
    //    background: $body-bg;
    //    color: @text-color;
    padding: 10px;
    //    border: solid 2px @text-color;
}

.icon_edit_section {
    float: right;
}

.icon_edit_section img.icon {
    margin-top: -1px !important;
}

// /* Structure selection popup on wiki pages */
.structure_select {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    background: none;
    height: 16px;
    width: 18px;
}

//.structure_select .cssmenu_horiz ul li {
//    //    border: 1px solid @gray;
//    border-radius: 3px;
//}

.structure_select li.tabmark {
    background: none;
    border: 0;
    top: 0;
    padding: 0;
}

.structure_select .clearfix:after {
    display: inline-block;
}

.structure_select .selected {
    font-weight: bold;
    font-style: italic;
}

.structure-container ol.depth-0 {
    padding-inline-start: 0;

    & > li {
        padding: 0.5em;
        margin: 0.2em;
        border: 1px solid $gray-200;
    }
}

// .admintoclevel {
//     margin: .2em;
//     padding: 0.4em 0.4em 0.6em;
// }

// .admintoclevel .admintoclevel {
//     margin-right: 0;
//     border-right: 0 none;
// }

// .admintoclevel .actions {
//     float: right;
//     padding-right: .3em;
// }

// .admintoclevel .actions a {
//     padding-right: .3em;
// }

// .admintoclevel .actions input {
//     margin-right: 2em;
//     font-style: italic;
//     opacity: 0.5;
//     width: 15em;
// }

#page_list_container {
    list-style: none;
    max-height: 20em;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 0;
}

// /* admin menu options */

.options-container ol,
.new-option,
.dragging-options,
.dragging-options li {
    list-style: none;
}
.options-container #options {
    min-height: 10em;
    border: 4px $gray-200 dashed;
}

.options-container li {
    position: relative;
}

li .label-group {
    max-width: 16em;
    margin-right: 1em
}

li .label-group .drag-handle,
li .label-group .drag-handle .icon {
    cursor: pointer;
}

li .url-group {
    max-width: 25em;
}

.options-container > ol > li {
    outline: 1px solid $gray-200;
    margin-bottom: 5px;
}

.options-container .child-options {
    width: 100%;
}

.options--group-container {
    display: flex;
    flex-wrap: wrap;
}

.options-container .child-options > li,
.dragging-options li {
    margin-bottom: 5px;
}

.new-option .label-group {
    max-width: 100%;
}

@media (max-width: breakpoint-max(sm)) {
    li .label-group,
    li .url-group {
        max-width: 100%;
    }
    .options-container #options {
        padding-left: 0;
    }
    .child-options {
        padding-left: 7px;
    }
}

.new-option * {
    cursor: move;
}

// /* Fullscreen textareas */
.TextArea-fullscreen {
    display: block;
    width: 100%;
    height: 100%;
    margin: 0 !important;
    padding: 0 !important;
    opacity: 1;
    top: 0 !important;
    left: 0 !important;
    position: fixed !important;
    //    background-color: @gray;
    z-index: 100 !important;
}

.TextArea-fullscreen .ui-wrapper {
    width: auto !important;
    height: 100% !important;
}

//.TextArea-fullscreen textarea {
//     width: inherit ! important;
//}

.TextArea-fullscreen .ui-wrapper #editwiki {
    position: absolute !important;
    width: 100% !important;
}

.TextArea-fullscreen .edit-zone-footer,
.CodeMirror-fullscreen .edit-zone-footer {
    position: absolute;
    margin: 0 !important;
    padding: 4px 12px 12px;
    width: 100%;
    bottom: 49px;
    z-index: 2;

    .form-check {
        position: absolute;
        padding: 4px 12px 12px;
        bottom: 49px;
        right: 0;
    }
}

.TextArea-fullscreen .actions,
.CodeMirror-fullscreen .actions {
    bottom: 0 !important;
    left: 50%;
    margin-left: -50%;
    position: absolute;
    text-align: center;
    width: 100%;
    z-index: 101 !important;
    //    background-color: $body-bg;
    padding: .4em 0 .2em;
    //    border-top: @gray-lighter 1px solid;
}

.TextArea-fullscreen .actions input,
.CodeMirror-fullscreen .actions input {
    /*margin: 1px !important;*/
}

.TextArea-fullscreen .cm-remove, .CodeMirror-fullscreen .cm-remove {
    display: none; // /* do not display until functionality in fullscreen fixed */
    right: 22px;
    float: none !important;
}

// /* translation mode */
.translation_message {
    overflow-x: hidden;
    padding: .5em;
    white-space: nowrap;
}

.translation_message h2 {
    margin: .2em 0;
    font-size: 1.6em;
}

#diff_outer {
    position: fixed;
    top: 0;
    right: 0;
    opacity: 1;
    background: $info;
    height: 100% !important;
    z-index: 5;
}

#diff_history {
    overflow-x: hidden;
    overflow-y: auto;
    padding: 0 .1em;
}

// /* end fullscreen etc */

// /* Autosave Preview handle */
#autosave_preview {
    //    background-color: $body-bg;
    //    color: @text-color;
    z-index: 110; // /* ensure the preview is not partly covered even by #diff_outer in fullscreen side-by-side translation mode */
}

#autosave_preview_grippy {
    //    background-color: @gray-lighter;
    //    background-image: url('#{$imagePathToIcons}shading.png');
    z-index: 3;
}

// /* Namespace styling */
.wiki .namespace {
    margin: 1px;
    padding: 1px;
    border-radius: 5px;
    //    background: @gray-lighter;
    max-width: 30px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
    vertical-align: bottom;
}

.wiki .namespace.first {
    max-width: 130px;
}

.wiki .namespace.last {
    max-width: 130px;
}

// /* New Help section */
#tikihelp {
    //    /*position: absolute;*/ /*to avoid white spacing in Internet Explorer below footer*/
    height: 100%;
}

.help_fullscreen_icon {
    margin-right: 8px;
}

.help_close_icon {
    margin-right: 20px;
}

.site_report a {
    //    border-left: 1px solid @gray;
    //    border-right: 1px solid @gray;
    padding: 0 5px;
    font-size: smaller;
}

// /* default look for editplugin icon links */
.plugin-desc {
    padding: 5px;
}

.wikitext .plugin_gauge,
.wikitext .plugin_gauge-bar {
    border: none;
}

// /***** Wiki *****/
h1.pagetitle > a {
    padding-left: 0;
    padding-right: 0;
}

#cachedpage {
    float: right;
    font-size: small;
}

body.tiki_wiki #comments {
    padding: 1em;
}

// /* wikiplugin_code */
.codelisting {
    overflow: auto;
    max-width: 990px;
}

.codelisting .CodeMirror-code {
    font-family: monospace;
}

.codelisting .CodeMirror-scroll {
    width: auto !important; /* do not show the disabled partially shown right side scrollbar in code listings */
}

.codelisting .CodeMirror-vscrollbar {
    display: none !important; /* we do not need to display vertical scrollbars in code listings - workaround for the "wrongly computed height with scrollbar" bug in CodeMirror */
}

// See tiki-selectors for commented-out properties
.codecaption {
    display: inline-block;
//    color: $code-color;
//    background: $code-bg;
//    border: 1px solid $code-color;
    border-bottom: none;
    padding: 2px 9.5px;
    font-size: 0.8em;
    font-weight: bold;
}

//code,
//pre.codelisting, .CodeMirror.codelisting {
//    color: var(--tiki-code-color); //$code-color;
//    background: var(--tiki-code-bg); // $code-bg;
//    border: $border-width solid $border-color;
//    padding: $kbd-padding-y $kbd-padding-x;
//    border-radius: $border-radius;
//}
//code {
//    border-radius: $border-radius-sm;
//}

pre.codelisting code {
    color: inherit;
    white-space: pre-wrap;
}

// /* wikiplugin_fade */
.wpfade-hidden {
    background: url('#{$imagePath}toggle-expand-dark.png') no-repeat;
    margin-left: -19px;
    padding-left: 19px;
}

.wpfade-shown {
    background: url('#{$imagePath}toggle-collapse-dark.png') no-repeat;
    margin-left: -19px;
    padding-left: 19px;
}

.wpfade-span-plain {
    cursor: pointer;
}

.wpfade-span-icon {
    cursor: pointer;
    margin-left: 19px;
}

.wpfade-div-icon {
    display: none;
    margin-left: 19px;
}

// /* wikiplugin_fancylist */
.wikitext .fancylist {
    margin: .5em 0;
    padding: 0;
}

.wikitext .fancylist li {
    font-size: 2em;
    font-style: italic;
    line-height: 27px;
    list-style-position: inside;
    margin-left: 10px;
    padding: 6px 0 7px 15px;
}

.wikitext .fancylist li p {
    display: inline;
    font-size: 50%;
    font-style: normal;
    margin-left: 12px;
}

[class].wikitext .fancylist li p {
    margin-left: -3px;
}

// /* wikiplugin quote */
.quoteheader {
    height: 35px;
    .fa {
        font-size: 34px;
        color: #aaaaaa;
    }
}

.quotebody {
    margin-left: 35px;
    padding-left: 10px;
    font-style: italic;
    //    border-left: 2px solid @gray-light;
}

// /* wikiplugin remarksbox */
.wikitext .rbox-data ul {
    list-style-type: disc;
    margin-left: 15px;
    padding-left: 15px;
}

// /* wikiplugin tracker */
.mandatory_star {
    font-weight: bold;
    //    color: @alert-danger-border;
}

.trackerplugindesc {
    //    color: @gray-dark;
    font-style: italic;
}

// /* img plugin */
.imgbox {
    //    border: 1px solid @popover-border-color;
    //    background-color: @popover-bg;
    padding: 5px;
}

.thumbcaption {
    font-size: 90%;
    padding: 2px;
}

// .ic_active {
//    border: 2px solid @pagination-active-border;
// }

.ic_caption {
    //    background: @navbar-inverse-bg;
    opacity: 0.75;
    width: 100%;
    //    color: @navbar-inverse-color;
    padding: 5px 10px;
}

// /* wikiplugin_sign */
.wp-sign {
    display: none;
    overflow: hidden;
    position: absolute;
    z-index: 1;
    background-repeat: no-repeat;
    padding: 0.3em;
    vertical-align: bottom;
    -webkit-box-shadow: 1px 1px 2px 2px rgba(200, 200, 200, .5);
    box-shadow: 1px 1px 2px 2px rgba(200, 200, 200, .5);
    border-radius: 2px;
}

//.wp-cookie-consent-required {
//    color: @alert-danger-text;
//}

// /* TOC */
.toc {
    padding-left: 2em;
    //    border-top: 1px dotted @gray-light;
    //    border-bottom: 1px dotted @gray-light;
    margin-bottom: 4px;
}

.toc * {
    list-style: none;
    border: none;
}

// /* Wiki diff styles */
.diff td {
    //    border: 1px solid @gray-dark;
    white-space: normal !important;
}

// Override Bootstrap's .table-responsive .table's white-space: nowrap rule.
.table-responsive > .table > tbody > tr > td.text-left {
    white-space: normal;
}

.diffinldel {
    //    background: @state-warning-bg;
    text-decoration: line-through;
}

.ui-tabs .ui-tabs-nav li a {
    padding: 0.3em 0.8em 0.1em;
}

/* Structures drill-down menu */
div.drillshow {
    padding: 3px;
    //    border: 1px solid @gray-light;
}

.titlebar {
    border-bottom: 2px solid;
}

.wp-annotation {
    position:relative;
}

.wp-annotation .editor {
    display: none;
    width: 400px;
    position: absolute;
}

.wp-annotation .annotation {
    border: dashed 1px rgba(255, 255, 255, 0.5);
    background: rgba(255, 200, 40, 0.1);
    position: absolute;
    cursor: pointer;
}

.wp-annotation .annotation.selected {
    border: dashed 1px rgba(69, 255, 97, 0.68);
    background: rgba(85, 255, 68, 0.25);
}

.table-responsive.enlarge {
    display: inline-table;
    margin-right: 50px;
    padding: 20px 10px 15px;
    border: 1px solid $table-border-color;
    background-color: var(--bs-body-bg);
    overflow: visible;
}

/* plugin list gui */

.plugin-list-editor > ul {
    padding: 0;
}

.plugin-list-editor li.plugin {
    list-style: none;
    border: 1px solid $card-border-color;
    border-radius: $card-border-radius;
}

.plugin-list-editor .card-header .navbar,
.plugin-list-editor .card-header .nav-link {
    padding-top: 0;
    padding-bottom: 0;
}

/*
.plugin-list-editor li.plugin .params {
    padding: 0.5rem 0.5rem 0;
}

.plugin-list-editor li.plugin .card-header {
    padding: 0.25rem 1.5rem;
}

.plugin-list-editor > .btn-toolbar {
    margin-bottom: 0.5rem;
    color: #fff;
}

.plugin-list-editor li.plugin .name {
    font-weight: bold;
}

.plugin-list-editor li.plugin .params .dropdown-toggle {
    font-size: 9px;
}
*/

/* heading anchor links */
.heading-link {
    padding-left: .25em;
    opacity: 0;

    transition: opacity 0.2s ease-in-out 0.1s;
    -webkit-transition: opacity 0.2s ease-in-out 0.1s;
    -moz-transition: opacity 0.2s ease-in-out 0.1s;
}

.heading-link .icon {
    font-size: 70%; // IMO icon size ("smaller") was a little too large. - g_c-l
}

// prevent font awesome icon to line break by itself
.heading-link {
    .fa, .fas, .far, .fal, .fad, .fab { display: inline; }
}

h1:hover .heading-link,
h2:hover .heading-link,
h3:hover .heading-link,
h4:hover .heading-link,
h5:hover .heading-link,
h6:hover .heading-link {
    opacity: 1;
}

//Gantt Chart
.vSplitBar {
    background: rgba(170, 170, 170, .2) url("../../../vendor_bundled/vendor/robicch/jquery-gantt/res/ganttSplitterGrip.png") no-repeat center center !important;
}
.milestone{

    background: url("../../../vendor_bundled/vendor/robicch/jquery-gantt/res/milestone.png") no-repeat !important;
}
.layout.extDep{
    background-image:url("../../../vendor_bundled/vendor/robicch/jquery-gantt/res/hasExternalDeps.png") !important;
}

.isParent.collapsed .exp-controller {
    background-image: url("../../../vendor_bundled/vendor/robicch/jquery-gantt/res/toggle-expand.png") !important;
}

.isParent .exp-controller {
    background-image: url("../../../vendor_bundled/vendor/robicch/jquery-gantt/res/toggle_collapse.png") !important;
}

// Lock icon was too prominent -- g_c-l
.pagetitle a + .icon-lock {
    margin-left: 0.7rem;
    font-size: 60%;
    opacity: 0.2;
}

// Autotoc
#all-toc.hidden.sticky-top {
    height: 80vh !important;
}

// /* wikiplugin viewtextfile */
.viewtextfile-viewer-container {
    min-width: 480px;
    min-height: 420px;
    display: flex;
    flex-direction: column;
}

.viewtextfile-content-wrapper {
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #f1f1f1;
    padding: 20px;
    box-sizing: border-box;
    overflow: hidden;
}

.viewtextfile-info-button {
    top: 10px;
    right: 10px;
    border: none;
    cursor: pointer;
    z-index: 10;
    transition: background-color 0.3s;
    text-align: end;
}

.viewtextfile-content-wrapper > .viewtextfile-content {
    width: 100%;
    height: 100%;
    max-height: 100%;
    margin-top: auto;
    border: 1px solid #ccc;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    overflow: auto;
    font-family: "Calibri", sans-serif;
    font-size: 12pt;
    line-height: 1.5;
    padding: 40px;
}

.wp_wysiwyg-wrapper {
    position: relative;

    .edit_button {
        position: absolute;
        right: 1rem;
        bottom: 1rem;
        display: none;
        z-index: 9;
    }
    .wp_wysiwyg:hover ~ .edit_button, .wp_wysiwyg ~ .edit_button:hover {
        display: block;
    }
}

.inline-editor + .note-editor .note-statusbar {
    display: none;
}

@media (max-width: 768px) {
    .viewtextfile-viewer-container {
        width: 100% !important;
        height: auto;
        min-width: unset;
        padding: 10px;
    }
    .viewtextfile-content-wrapper {
        padding: 0;
    }
    .viewtextfile-content-wrapper > .viewtextfile-content {
        padding: 20px;
    }
}